import { useEffect } from "react";
import { Grid } from "@mui/material";
import { getIOCStatus } from "./IOCStatusData";
import { Status } from "../../common/Status";
import {
  useFetchIocStatusQuery,
  useLazyFetchIocAlertsQuery
} from "../../../store/deployApi";

export const IOCStatus = ({ id, hideAlerts }) => {
  const [callFetchIocAlerts, { data: iocAlert }] = useLazyFetchIocAlertsQuery();

  const { data: iocStateStatus } = useFetchIocStatusQuery({ iocId: id });

  useEffect(() => {
    if (!hideAlerts) {
      callFetchIocAlerts({ iocId: id });
    }
  }, [callFetchIocAlerts, hideAlerts, id]);

  return (
    <Grid
      container
      direction="column"
      justifyContent="center"
      alignItems="center"
    >
      {iocStateStatus && (
        <Status
          id={iocStateStatus.id}
          state={iocStateStatus}
          alert={iocAlert}
          hideAlerts={hideAlerts}
          getStatusFcn={getIOCStatus}
        />
      )}
    </Grid>
  );
};
